Bug 189907 - [maintainer update] games/mangband
Summary: [maintainer update] games/mangband
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-games (Nobody)
URL:
Keywords: needs-staging
Depends on:
Blocks:
 
Reported: 2014-05-18 10:40 UTC by flambard
Modified: 2015-03-08 21:46 UTC (History)
5 users (show)

See Also:


Attachments
file.diff (4.64 KB, patch)
2014-05-18 10:40 UTC, flambard
no flags Details | Diff
more fixes for games/mangband (12.02 KB, patch)
2014-08-05 13:23 UTC, Rusmir Dusko
nemysis: maintainer-approval? (flambard)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description flambard 2014-05-18 10:40:00 UTC
In September 2013, the Ports framework learned how to Stage ports.

The attached patch updates to port to support it.

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-18 10:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->games

games@ wants this category PRs (via the GNATS Auto Assign Tool)
Comment 2 flambard 2014-07-25 05:33:08 UTC
I'm a bit worried, that with transition to bugzilla AND with all the non-staged ports being scheduled for deletion at the same time, this will fall through cracks.

Hopefully, not. I'd gladly work on this patch some more, if it's not yet good enough.
Comment 3 Rusmir Dusko freebsd_committer 2014-08-05 13:23:04 UTC
Created attachment 145395 [details]
more fixes for games/mangband

- Bump PORTREVISION for LICENSE adding and more
- Change master site
- Add license (GPLv2)
- Simplify Option handling
- Add pkg-message, information about usage
- Unmute install executable and cfg
- Use INSTALL_DAT instead of CP
- Recreate patches with make makepatch, remove obsolete patch
- Recreate pkg-plist with make makeplist and proper use permissions
Comment 4 flambard 2014-08-05 16:05:30 UTC
Thank you, Rusmir, this patch is much better than my initial attempt.

Please do merge this.
Comment 5 commit-hook freebsd_committer 2014-08-05 16:19:05 UTC
A commit references this bug:

Author: nemysis
Date: Tue Aug  5 16:18:12 UTC 2014
New revision: 364117
URL: http://svnweb.freebsd.org/changeset/ports/364117

Log:
  - Bump PORTREVISION for LICENSE adding and more
  - Change master site
  - Add license (GPLv2)
  - Support STAGEDIR
  - Simplify Option handling
  - Add pkg-message, information about usage
  - Unmute install executable and cfg
  - Use INSTALL_DAT instead of CP
  - Recreate patches with make makepatch
  - Recreate pkg-plist with make makeplist and proper use permissions

  PR:		189907
  Submitted by:	maintainer, driedfruit <flambard@mangband.org>
  Approved by:	maintainer

Changes:
  head/games/mangband/Makefile
  head/games/mangband/files/patch-aa
  head/games/mangband/files/patch-ac
  head/games/mangband/files/patch-client__main-sdl.c
  head/games/mangband/files/patch-client_main-sdl.c
  head/games/mangband/files/patch-config.h
  head/games/mangband/files/patch-server-netserver.c
  head/games/mangband/files/patch-server__netserver.c
  head/games/mangband/files/patch-server__save.c
  head/games/mangband/files/pkg-message.in
  head/games/mangband/pkg-plist
Comment 6 flambard 2014-08-09 10:13:03 UTC
After that patch has been applied, I'm receiving build failure messages from pkg-fallout.

===========================================================================
=======================<phase: package        >============================
===>  Building package for mangband-1.1.2_1  
pkg-static: lstat(/wrkdirs/usr/ports/games/mangband/work/stage/usr/local/etc/mangbandmangband.cfg): No such file or directory
pkg-static: lstat(/wrkdirs/usr/ports/games/mangband/work/stage/usr/local/dirrm share/mangband/data): No such file or directory
*** Error code 1

I'll try to fix those, but could you take a look?

Log URL:        http://beefy1.isc.freebsd.org/data/84i386-default/2014-08-08_15h13m19s/logs/mangband-1.1.2_1.log
Build URL:      http://beefy1.isc.freebsd.org/build.html?mastername=84i386-default&build=2014-08-08_15h13m19s
Comment 7 John Marino freebsd_committer 2014-08-31 09:52:44 UTC
I'm modifying the title because it shows up in a search for unstaged ports, and the port is now staged.
Comment 8 Bartek Rutkowski freebsd_committer 2015-03-08 21:46:30 UTC
Closing the PR as the patch has been committed in r364117 by nemysis@ on 2014-08-05.